OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeSweptSurface Class Reference

This class implements the mapping between classes
SweptSurface from Geom and the class SweptSurface from
StepGeom which describes a SweptSurface from prostep.
As SweptSurface is an abstract SweptSurface this class
is an access to the sub-class required.
.

`#include <GeomToStep_MakeSweptSurface.hxx>`

Inheritance diagram for GeomToStep_MakeSweptSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeSweptSurface (const Handle(Geom_SweptSurface)&S)
Standard_EXPORT const Handle_StepGeom_SweptSurface & | Value () const
## Private Attributes
Handle_StepGeom_SweptSurface | theSweptSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeSweptSurface::GeomToStep_MakeSweptSurface | ( | const Handle(Geom_SweptSurface)& | S | ) |

## Member Function Documentation

void GeomToStep_MakeSweptSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSweptSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSweptSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_SweptSurface& GeomToStep_MakeSweptSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_SweptSurface GeomToStep_MakeSweptSurface::theSweptSurface`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeSweptSurface.hxx